[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Classes' (#rtl)

# IInterfaceList.Insert

Insert an interface in the list.

## Declaration

Source position: classesh.inc line 1839

`procedure IInterfaceList.Insert(`
`i: Integer;`
`item: IUnknown`
`);`

## Description

Insert inserts the interface Item in the list, at position I, shifting all items one position.

## See also

TList.Insert |  | Inserts a new pointer in the list at a given position.
IInterfaceList.Add |  | Add an interface to the list
IInterfaceList.Delete |  | Remove an interface from the list

Documentation generated on: Feb 26 2014